Loading...
Searching...
No Matches
pcl::segmentation Namespace Reference

## Namespaces

namespace | detail
namespace | grabcut

## Functions

template<class Graph >
bool | randomWalker (Graph &graph)
| Multilabel graph segmentation using random walks.
template<class Graph , class EdgeWeightMap , class VertexColorMap >
bool | randomWalker (Graph &graph, EdgeWeightMap weights, VertexColorMap colors)
| Multilabel graph segmentation using random walks.
template<class Graph , class EdgeWeightMap , class VertexColorMap >
bool | randomWalker (Graph &graph, EdgeWeightMap weights, VertexColorMap colors, Eigen::Matrix< typename boost::property_traits< EdgeWeightMap >::value_type, Eigen::Dynamic, Eigen::Dynamic > &potentials, std::map< typename boost::property_traits< VertexColorMap >::value_type, std::size_t > &colors_to_columns_map)
| Multilabel graph segmentation using random walks.